## org.eclipse.uml2.uml
Interface ActionInputPin

All Superinterfaces:
  ActivityNode, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, InputPin, MultiplicityElement, NamedElement, org.eclipse.emf.common.notify.Notifier, ObjectNode, Pin, RedefinableElement, TypedElement

    public interface ActionInputPin

extends InputPin

A representation of the model object 'Action Input Pin'. An action input pin is a kind of pin that executes an action to determine the values to input to another.

The following features are supported:

- `From Action`

See Also:
  `UMLPackage.getActionInputPin()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`Action` `createFromAction(java.lang.String name, org.eclipse.emf.ecore.EClass eClass)` Creates a new `Action`, with the specified 'Name', and sets the 'From Action' containment reference
`Action` `getFromAction()` Returns the value of the 'From Action' containment reference.
`void` `setFromAction(Action value)` Sets the value of the '`From Action`' containment reference
`boolean` `validateInputPin(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The fromAction of an action input pin must only have action input pins as input pins.
`boolean` `validateNoControlOrDataFlow(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The fromAction of an action input pin cannot have control or data flows coming into or out of it or its pins.
`boolean` `validateOneOutputPin(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The fromAction of an action input pin must have exactly one output pin.

Methods inherited from interface org.eclipse.uml2.uml.InputPin
`validateOutgoingEdgesStructuredOnly`

Methods inherited from interface org.eclipse.uml2.uml.Pin
`isControl, setIsControl, validateControlPins`

Methods inherited from interface org.eclipse.uml2.uml.ObjectNode
`createUpperBound, getInState, getInState, getInStates, getOrdering, getSelection, getUpperBound, isControlType, setIsControlType, setOrdering, setSelection, setUpperBound, validateInputOutputParameter, validateNotUnique, validateObjectFlowEdges, validateSelectionBehavior`

Methods inherited from interface org.eclipse.uml2.uml.ActivityNode
`getActivity, getIncoming, getIncoming, getIncomings, getInGroups, getInInterruptibleRegions, getInPartition, getInPartition, getInPartitions, getInStructuredNode, getOutgoing, getOutgoing, getOutgoings, getRedefinedNode, getRedefinedNode, getRedefinedNodes, setActivity, setInStructuredNode, validateOwned, validateOwnedStructuredNode`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.uml2.uml.MultiplicityElement

`compatibleWith, createLowerValue, createUpperValue, getLower, getLowerValue, getUpper, getUpperValue, includesCardinality, includesMultiplicity, is, isMultivalued, isOrdered, isUnique, lowerBound, setIsOrdered, setIsUnique, setLower, setLowerValue, setUpper, setUpperValue, upperBound, validateLowerGe0, validateUpperGeLower, validateValueSpecificationConstant, validateValueSpecificationNoSideEffects`

Method Detail

### getFromAction

    Action getFromAction()

  Returns the value of the 'From Action' containment reference.

  This feature subsets the following features:

  - '`Owned Element`'
  The action used to provide values.

  Returns:
    the value of the 'From Action' containment reference.
  See Also:
    `setFromAction(Action)`, `UMLPackage.getActionInputPin_FromAction()`

### setFromAction

    void setFromAction(Action value)

  Sets the value of the '`From Action`' containment reference.

  Parameters:
    `value` - the new value of the 'From Action' containment reference.
  See Also:
    `getFromAction()`

### createFromAction

    Action createFromAction(java.lang.String name,
                            org.eclipse.emf.ecore.EClass eClass)

  Creates a new `Action`, with the specified 'Name', and sets the 'From Action' containment reference.

  Parameters:
    `name` - The 'Name' for the new `Action`, or `null`.
    `eClass` - The Ecore class of the `Action` to create.
  Returns:
    The new `Action`.
  See Also:
    `getFromAction()`

### validateOneOutputPin

    boolean validateOneOutputPin(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map<java.lang.Object,java.lang.Object> context)

  The fromAction of an action input pin must have exactly one output pin. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateInputPin

    boolean validateInputPin(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                             java.util.Map<java.lang.Object,java.lang.Object> context)

  The fromAction of an action input pin must only have action input pins as input pins. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateNoControlOrDataFlow

    boolean validateNoControlOrDataFlow(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map<java.lang.Object,java.lang.Object> context)

  The fromAction of an action input pin cannot have control or data flows coming into or out of it or its pins. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.